# UOF - Scenarios

Scenarios are sets of sport-events/matches that are prepared by Betradar. Instead of adding individual matches you can add a complete scenario. The sport-events in scenarios are better cached, and it is recommended that you use the scenarios for i.e. stress testing. The complete list is also available HERE, in the /scenario endpoint

**Play scenario**

Queues up the sport-events in the specified scenario. Works very similar to “Start Replay”, but queues up the whole scenario and then starts the replay.

**List scenarios** – Lists available scenarios. Currently we provide three scenarios, two stress testing scenarios and one scenario with a mix of all different kinds of events (see this [table for more info about individual events)](/uof/replay-server/uof-example-replays.md). The current available scenarios are:

**Scenario 1) 200 parallel matches**

**XML Example**

```xml
<replay_scenarios>
<replay_scenario id="1" description="200 matches parallel" run_parallel="true">
 
... Match List ...
 
</replay_scenario>
```

**Scenario 2) 100 parallel matches**

XML example

```xml
<replay_scenario id="2" description="100 matches parallel" run_parallel="true">
 
... Match List ...
 
</replay_scenario>
```

**Scenario 3) Various sport events in parallel**

XML example

```xml
<replay_scenario id="3" description="recommended sample events, 42 events of various sports and products" run_parallel="true">
 
... Match List ...
 
</replay_scenario>
</replay_scenarios>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/replay-server/uof-scenarios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
